HP Views Designer Assistant: Ink Class Reference

| HP Views Designer Assistant 1.0.0 TFG - Alberto Gutierrez Perez - Universidad de Valladolid |

Public Member Functions | Private Attributes | List of all members
Ink Class Reference

The Ink class. Represents Ink screens. More...

`#include <ink.h>`

Inheritance diagram for Ink:

## Public Member Functions

| Ink ()
| Ink constructor.
void | addColor (int position, QColor color)
| addColor Adds color at the specified position. More...
QColor | getColor (int position)
| getColor Returns the color at the specified position. More...
void | setNumberOfElements (int numberOfElements)
| setNumberOfElements Resize the number of interface elements. More...
bool | createByEdit ()
| createByEdit Returns if the interfaces has been created by edition. More...
InkTextOption | getTextOption () const
| getTextOption Returns the text option of the screen. More...
void | setTextOption (const InkTextOption &value)
| setTextOption Raplaces the text option. More...
bool | isComplete ()
| isComplete Returns if the interface is complete. More...
QVector< QColor > * | getInkColors () const
| getInkColors Returns the colors of the interface. More...
void | createInkColors (int number)
| createInkColors Create the interface color list. More...
Public Member Functions inherited from Interfaz
| Interfaz ()
| Interfaz constructor.
int | getHeight ()
| getHeigth Returns the screen height. More...
void | setHeigth (int height)
| setHeigth Replaces the screen height. More...
int | getWidth ()
| getWidth Returns the screen width. More...
void | setWidth (int width)
| setWidth Repalces the screen width. More...
int | getNumberOfElements () const
| getNumberOfElements Returns the screen number of elements. More...
void | setNumberOfElements (int value)
| setNumberOfElements Raplaces the screen number of elements. More...
int | getNumberOfRows () const
| getNumberOfRows Returns the screen number of rows. More...
void | setNumberOfRows (int value)
| setNumberOfRows Raplaces the screen number of rows. More...
int | getNumberOfCols () const
| getNumberOfCols Returns the screen number of columns. More...
void | setNumberOfCols (int value)
| setNumberOfCols Replaces the screen number of columns. More...
QString | getImageBackground () const
| getImageBackground Returns the screen background image path. More...
void | setImageBackground (QString value)
| setImageBackground Replaces the screen background image path. More...
QColor | getColorBackground ()
| getColorBackground Returns the screen background color. More...
void | setColorBackground (const QColor &value)
| setColorBackground Repalces the screen background color. More...
bool | getHasIcons () const
| getHasIcons Returns if the interface has icons. More...
void | setHasIcons (bool value)
| setHasIcons Specifies if the interfaces has icons. More...
bool | getHasImageBackground () const
| getHasImageBackground Returns if the interface has an image background. More...
void | setHasImageBackground (bool value)
| setHasImageBackground Specifies if the interface has an image background. More...

## Private Attributes

InkTextOption | textOption
| textOption Specifies the text option of the interface.
QVector< QColor > * | inkColors
| inkColors Interface color list.

## Additional Inherited Members

Protected Attributes inherited from Interfaz
int | numberOfElements
| numberOfElements Screen number of elements.

## Detailed Description

The Ink class. Represents Ink screens.

## Member Function Documentation

## ◆ addColor()

void Ink::addColor | ( | int | position,
|  | QColor | color
| ) |  |

addColor Adds color at the specified position.

Parameters

  position | Position to add the color
  color | Color to be added.

## ◆ createByEdit()

bool Ink::createByEdit | ( |  | ) |

createByEdit Returns if the interfaces has been created by edition.

Returns
  `True` if the interface is made by edition, `false` otherwise.

## ◆ createInkColors()

void Ink::createInkColors | ( | int | number | ) |

createInkColors Create the interface color list.

Parameters

  number | Size of the list.

## ◆ getColor()

QColor Ink::getColor | ( | int | position | ) |

getColor Returns the color at the specified position.

Parameters

  position | Position of the color.

Returns
  Color at the specified position.

## ◆ getInkColors()

QVector< QColor > * Ink::getInkColors | ( |  | ) | const

getInkColors Returns the colors of the interface.

Returns
  List of the interface colors.

## ◆ getTextOption()

InkTextOption Ink::getTextOption | ( |  | ) | const

getTextOption Returns the text option of the screen.

Returns
  Text option.

## ◆ isComplete()

bool Ink::isComplete | ( |  | ) |

isComplete Returns if the interface is complete.

Returns
  `True` if the interface is complete, `false` otherwise.

## ◆ setNumberOfElements()

void Ink::setNumberOfElements | ( | int | numberOfElements | ) |

setNumberOfElements Resize the number of interface elements.

Parameters

  numberOfElements | Number of elements in the interface.

## ◆ setTextOption()

void Ink::setTextOption | ( | const InkTextOption & | value | ) |

setTextOption Raplaces the text option.

Parameters

  value | Text Option.

The documentation for this class was generated from the following files:

- D:/Documentos/ViewDesignerAssistant/Model/ink.h
- D:/Documentos/ViewDesignerAssistant/Model/ink.cpp